Subject: Re: setitimer failure
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 30 Dec 2002 17:50:39 -0500

On Mon, Dec 30, 2002 at 11:11:50AM +0100, gilles BOURGEOIS wrote:
>hello.
>I really have to know if the setitimer() primitive works well using cywgin
>dll
>I am currently using NT5.0 (2000)
>I call setitimer(ITIMER_VIRTUAL, &interval, NULL) and it returns -1 with bad
>argument as errno .
>I do not understand why, because my arguments seemes to be ok to me !
>Any help very appreciated.
>gilles

ITIMER_VIRTUAL is not implemented.

Sergey Okhapkin suggested changing the errno setting for this scenario to
ENOSYS, which I've done for the next release.

Btw, I've removed cygwin-apps from this discussion since this has nothing
whatsoever to do with cygwin-apps.

cgf
--
Please use the resources at cygwin.com rather than sending personal email.
Special for spam email harvesters: send email to [email-masked]
and be permanently blocked from mailing lists at sources.redhat.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/